%define anolis_release 1

%global pypi_name identify

Name:           python-%{pypi_name}
Version:        2.5.24
Release:        %{anolis_release}%{?dist}
Summary:        File identification library for Python

License:        MIT
URL:            https://github.com/chriskuehl/identify
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(ukkonen)

%?python_enable_dependency_generator

%description
Given a file (or some information about a file), return a set of standardized
tags identifying what the file is.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
%{summary}.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{_bindir}/%{pypi_name}-cli
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri May 05 2023 Funda Wang <fundawang@yeah.net> - 2.5.24-1
- Import package for anolis 23
